%global desc Implements support for python plugins in Nvim. Also works as a library for\
connecting to and scripting Nvim processes through its msgpack-rpc API.

Name:           python-neovim
Version:        0.1.13
Release:        1%{?dist}

License:        ASL 2.0
Summary:        Python client to Neovim
URL:            https://github.com/neovim/python-client
Source0:        https://github.com/neovim/python-client/archive/%{version}/python-client-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python2-setuptools
BuildRequires:  python3-setuptools

%description
%{desc}

%package -n python2-neovim
Summary:        %{summary}
%{?python_provide:%python_provide python2-neovim}
Requires:       neovim
Requires:       python-trollius
Requires:       python2-greenlet
Requires:       python2-msgpack

%description -n python2-neovim
%{desc}

%package -n python3-neovim
Summary:        %{summary}
%{?python_provide:%python_provide python3-neovim}
Requires:       neovim
Requires:       python3-greenlet
Requires:       python3-msgpack

%description -n python3-neovim
%{desc}

%prep
%autosetup -n python-client-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-neovim
%license LICENSE
%doc README.md
%{python2_sitelib}/*

%files -n python3-neovim
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Thu Jan 12 2017 Filip Szymański <fszymanski at, fedoraproject.org> - 0.1.13-1
- Update to 0.1.13
- Use %%{summary} macro

* Thu Dec 22 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.12-4
- Rebuild for Python 3.6

* Wed Dec 07 2016 Filip Szymański <fszymanski at, fedoraproject.org> - 0.1.12-3
- Add requires on python-trollius

* Mon Dec 05 2016 Filip Szymański <fszymanski at, fedoraproject.org> - 0.1.12-2
- Add python2 package

* Sun Dec 04 2016 Andreas Schneider <asn@redhat.com> - 0.1.12-1
- Initial release
